PaidGoods
API referenceNotifications

Receive this shop’s notifications in this browser

POST
/v1/stores/{storeId}/notifications/push/subscriptions

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/notifications/push/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "http://example.com",    "keys": {      "p256dh": "string",      "auth": "string"    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "label": "string",  "userAgent": "string",  "mine": true,  "createdAt": "string",  "lastSuccessAt": "string",  "lastError": "string"}